"""create table for animes
Revision ID: 8b3d9c7f1a6b
Revises: 0001
Create Date: 2023-05-25 15:44:42.603570
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = '8b3d9c7f1a6b'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    table_name = "animes"
    op.create_table(
        table_name,
        sa.Column('id', sa.String(36), primary_key=True),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now())
    )
    op.create_index(op.f('ix_animes_name'), table_name, ['name'], unique=True)

def downgrade():
    table_name = "animes"
    op.drop_index(op.f('ix_animes_name'), table_name=table_name)
    op.drop_table(table_name)