from fastapi import APIRouter, status
from typing import List
from schemas.anime import AnimeSchema
from helpers.anime_helpers import create_animes_in_bulk
from sqlalchemy.orm import Session
from fastapi import Depends
from core.database import get_db

router = APIRouter()

@router.post("/fairy-tale", status_code=status.HTTP_201_CREATED, response_model=List[AnimeSchema])
async def create_animes(anime_names: List[str], db: Session = Depends(get_db)):
    new_animes = create_animes_in_bulk(db, anime_names)
    return new_animes