from pydantic import BaseModel, Field
from typing import Optional
from datetime import datetime
import uuid

class AnimeBase(BaseModel):
    name: str = Field(..., description="Anime name")

class AnimeCreate(AnimeBase):
    pass

class AnimeUpdate(AnimeBase):
    name: Optional[str] = Field(None, description="Anime name")

class AnimeSchema(AnimeBase):
    id: uuid.UUID
    created_at: datetime
    updated_at: datetime

    class Config:
        orm_mode = True